Package: grails.doc.asciidoc

## [Groovy] Class AsciiDocEngine

- grails.doc.asciidoc.AsciiDocEngine

- A DocEngine implementation that uses Asciidoctor to render pages

  Authors:
    Graeme Rocher
  Since:
    3.2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.radeox.engine.BaseRenderEngine` | `NAME`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.asciidoctor.Asciidoctor` | `asciidoctor`
    `java.util.Map` | `attributes`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `render(java.lang.String content, org.radeox.api.engine.context.RenderContext context)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DocEngine` | `addMacro, appendCreateLink, appendLink, appendLink, exists, getNaturalName, init, showCreate`
    `class org.radeox.engine.BaseRenderEngine` | `org.radeox.engine.BaseRenderEngine#render(java.io.Reader, org.radeox.api.engine.context.RenderContext), org.radeox.engine.BaseRenderEngine#render(java.lang.String, org.radeox.api.engine.context.RenderContext), org.radeox.engine.BaseRenderEngine#render(java.io.Writer, java.lang.String, org.radeox.api.engine.context.RenderContext), org.radeox.engine.BaseRenderEngine#getInitialRenderContext(), org.radeox.engine.BaseRenderEngine#getName(), org.radeox.engine.BaseRenderEngine#wait(long, int), org.radeox.engine.BaseRenderEngine#wait(long), org.radeox.engine.BaseRenderEngine#wait(), org.radeox.engine.BaseRenderEngine#equals(java.lang.Object), org.radeox.engine.BaseRenderEngine#toString(), org.radeox.engine.BaseRenderEngine#hashCode(), org.radeox.engine.BaseRenderEngine#getClass(), org.radeox.engine.BaseRenderEngine#notify(), org.radeox.engine.BaseRenderEngine#notifyAll()`

- - ### Property Detail

    - #### org.asciidoctor.Asciidoctor asciidoctor

    - #### java.util.Map attributes

  - ### Method Detail

    - #### @java.lang.Override java.lang.String render(java.lang.String content, org.radeox.api.engine.context.RenderContext context)